import java.util.List;
import java.util.ArrayList;
import java.util.LinkedList;

class ListSimpleBenchmark {
    public static void main(String... args) {
        int size = 30_0000;
	    //List<Integer> l = new LinkedList<>();
        List<Integer> l = new ArrayList<>();	
        long start = System.nanoTime();
        for (int i = 0; i < size; i++) {
            l.add(i);
        }
        for (int i = 0; i < 10_0000; i++) {
            l.add(1_0000, 0);
        }
        Integer trash = null;
        for (int i = 0; i < size; i++) {
            trash = l.get(i);
        }
        for (int i = 0; i < 10_0000; i++) {
            l.remove(1_0000);
        }
        long end = System.nanoTime();	
        System.out.println(end - start);
        System.out.println(trash);
}
}
