package com.nttdata.wdp.green;

import org.eclipse.collections.api.list.primitive.MutableIntList;
import org.eclipse.collections.impl.factory.primitive.IntLists;

public class PrimitiveListSample {
    public static void main( String[] args ) {
        int size = 30_0000;
        MutableIntList l = IntLists.mutable.empty();

        long start = System.nanoTime();
        for (int i = 0; i < size; i++) {
            l.add(i);
        }
        for (int i = 0; i < 10_0000; i++) {
            l.addAtIndex(1_0000, 0);
        }
        Integer trash = null;
        for (int i = 0; i < size; i++) {
            trash = l.get(i);
        }
        for (int i = 0; i < 10_0000; i++) {
            l.remove(1_0000);
        }
        long end = System.nanoTime();
        System.out.println(end - start);
        System.out.println(trash);
    }
}
